<div class="row mb-3 align-items-center justify-content-between">
  <div class="col-md-auto col-sm-auto">
    <div class="section-title">
      <h2>{{'DOCUMENTS_AUDIT_TRAIL' | translate}}</h2>
    </div>
  </div>
  <div class="col-md-auto col-sm-auto">
    <button
      class="btn btn-success2 btn-sm m-right-10"
      (click)="getDocumentAuditTrails()"
    >
      <i class="las la-download"></i>
      Download Report
    </button>
  </div>
</div>
<div class="mat-elevation-z8">
  <div class="loading-shade" *ngIf="dataSource.loading$ | async">
    <mat-spinner></mat-spinner>
  </div>
  <div class="table-container">
    <div class="row m-2">
      <div class="col-sm-4">
        <mat-form-field class="w-100" appearance="outline">
          <input matInput placeholder="{{'SEARCH_DOCUMENT_BY_NAME' | translate}}" #input>
        </mat-form-field>
      </div>
      <div class="col-sm-4">
        <mat-form-field class="w-100" appearance="outline">
          <mat-select placeholder="{{'SELECT_CATEGORY' | translate}}" (selectionChange)="onCategoryChange($event)">
            <mat-option [value]="">-- {{'NONE' | translate}} --</mat-option>
            <mat-option *ngFor="let category of allCategories" [value]="category.id">
              <div class="country-item" [ngStyle]="{'margin-left.px': category.deafLevel* 20}">
                <div *ngIf="!category.parentId">
                  <b> {{category.name}}</b>
                </div>
                <div *ngIf="category.parentId">
                  {{category.name}}
                </div>
              </div>
            </mat-option>
          </mat-select>
        </mat-form-field>
      </div>
      <div class="col-sm-4">
        <mat-form-field class="w-100"  appearance="outline">
          <mat-select placeholder="{{'SELECT_USER' | translate}}" (selectionChange)="onUserChange($event)">
            <mat-option [value]="">-- {{'NONE' | translate}} --</mat-option>
            <mat-option *ngFor="let user of users" [value]="user.id">
              {{user.firstName}}  {{user.lastName}}
            </mat-option>
          </mat-select>
        </mat-form-field>
      </div>

    </div>

    <table mat-table [dataSource]="dataSource" class="mat-elevation-z8" matSort matSortActive="createdDate"
      matSortDirection="desc">
      <ng-container matColumnDef="documentName">
        <th mat-header-cell *matHeaderCellDef mat-sort-header> {{'NAME' | translate}} </th>
        <td mat-cell *matCellDef="let document"> {{document.documentName}} </td>
      </ng-container>
      <ng-container matColumnDef="categoryName">
        <th mat-header-cell *matHeaderCellDef mat-sort-header> {{'CATEGORY_NAME' | translate}} </th>
        <td mat-cell *matCellDef="let document"> {{document.categoryName}} </td>
      </ng-container>
      <ng-container matColumnDef="createdDate">
        <th mat-header-cell *matHeaderCellDef mat-sort-header> {{'ACTION' | translate}} {{'DATE' | translate}}</th>
        <td mat-cell *matCellDef="let document"> {{document?.createdDate | date:"dd/MM/yyyy hh:mm:ss"}} </td>
      </ng-container>
      <ng-container matColumnDef="operationName">
        <th mat-header-cell *matHeaderCellDef mat-sort-header> {{'OPERATION' | translate}} </th>
        <td mat-cell *matCellDef="let document"> {{document.operationName}} </td>
      </ng-container>
      <ng-container matColumnDef="createdBy">
        <th mat-header-cell *matHeaderCellDef mat-sort-header> {{'BY_WHOM' | translate}} </th>
        <td mat-cell *matCellDef="let document"> {{document?.createdBy}} </td>
      </ng-container>
      <ng-container matColumnDef="permissionUser">
        <th mat-header-cell *matHeaderCellDef mat-sort-header> {{'TO_WHOM_USER' | translate}} </th>
        <td mat-cell *matCellDef="let document"> {{document?.permissionUser}} </td>
      </ng-container>
      <ng-container matColumnDef="permissionRole">
        <th mat-header-cell *matHeaderCellDef mat-sort-header> {{'TO_WHOM_ROLE' | translate}} </th>
        <td mat-cell *matCellDef="let document"> {{document?.permissionRole}} </td>
      </ng-container>
      <tr mat-header-row *matHeaderRowDef="displayedColumns;sticky: true"></tr>
      <tr mat-row *matRowDef="let row; columns: displayedColumns;"></tr>
    </table>
    <ng-container *ngIf="dataSource.count === 0">
      <div class="row">
        <div class="col-sm-12 ml-4 mt-3">
          <label class="font-weight-bold"> {{'NO_DATA_FOUND' | translate}}</label>
        </div>
      </div>
    </ng-container>
    <mat-paginator [length]="documentResource.totalCount" [pageSize]="documentResource.pageSize"
      [pageSizeOptions]="[10, 20, 30]">
    </mat-paginator>
  </div>
</div>
